<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Nhywjksbtzxxbean" type="cn.vp.XXX.model.NhywjksbtzxxBean"/> -->	<typeAlias alias="Nhywjksbtzxx" type="cn.im.nhywjksbtzxx.NhywjksbtzxxBean"/>
	
	<sql id="condition_Nhywjksbtzxx">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(xh like '%$LIKExh$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEglsbbh'>
			(glsbbh like '%$LIKEglsbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='glsbbh'>
			(glsbbh = #glsbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgltbdh'>
			(gltbdh like '%$LIKEgltbdh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gltbdh'>
			(gltbdh = #gltbdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgltdmc'>
			(gltdmc like '%$LIKEgltdmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gltdmc'>
			(gltdmc = #gltdmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbzpp'>
			(bzpp like '%$LIKEbzpp$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bzpp'>
			(bzpp = #bzpp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEggxh'>
			(ggxh like '%$LIKEggxh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ggxh'>
			(ggxh = #ggxh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsszbx'>
			(sszbx like '%$LIKEsszbx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sszbx'>
			(sszbx = #sszbx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjd'>
			(jd like '%$LIKEjd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jd'>
			(jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwd'>
			(wd like '%$LIKEwd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wd'>
			(wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEazsj'>
			(azsj like '%$LIKEazsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='azsj'>
			(azsj = #azsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEazdw'>
			(azdw like '%$LIKEazdw$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='azdw'>
			(azdw = #azdw# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEazfs'>
			(azfs like '%$LIKEazfs$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='azfs'>
			(azfs = #azfs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsjzp'>
			(sjzp like '%$LIKEsjzp$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sjzp'>
			(sjzp = #sjzp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgxdwbm'>
			(gxdwbm like '%$LIKEgxdwbm$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gxdwbm'>
			(gxdwbm = #gxdwbm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgxdwmc'>
			(gxdwmc like '%$LIKEgxdwmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gxdwmc'>
			(gxdwmc = #gxdwmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxr'>
			(lxr like '%$LIKElxr$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxr'>
			(lxr = #lxr# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxdh'>
			(lxdh like '%$LIKElxdh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxdh'>
			(lxdh = #lxdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgysbh'>
			(gysbh like '%$LIKEgysbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gysbh'>
			(gysbh = #gysbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgysmc'>
			(gysmc like '%$LIKEgysmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gysmc'>
			(gysmc = #gysmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz1'>
			(kz1 like '%$LIKEkz1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz2'>
			(kz2 like '%$LIKEkz2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz3'>
			(kz3 like '%$LIKEkz3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz4'>
			(kz4 like '%$LIKEkz4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Nhywjksbtzxx" parameterClass="java.util.Map">
		insert into 
		nhywjksbtzxx(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='glsbbh'>glsbbh</isNotEmpty>
			<isNotEmpty prepend=',' property='gltbdh'>gltbdh</isNotEmpty>
			<isNotEmpty prepend=',' property='gltdmc'>gltdmc</isNotEmpty>
			<isNotEmpty prepend=',' property='bzpp'>bzpp</isNotEmpty>
			<isNotEmpty prepend=',' property='ggxh'>ggxh</isNotEmpty>
			<isNotEmpty prepend=',' property='sszbx'>sszbx</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd</isNotEmpty>
			<isNotEmpty prepend=',' property='azsj'>azsj</isNotEmpty>
			<isNotEmpty prepend=',' property='azdw'>azdw</isNotEmpty>
			<isNotEmpty prepend=',' property='azfs'>azfs</isNotEmpty>
			<isNotEmpty prepend=',' property='sjzp'>sjzp</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwbm'>gxdwbm</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwmc'>gxdwmc</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>lxr</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>lxdh</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>gysbh</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>gysmc</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='glsbbh'>#glsbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gltbdh'>#gltbdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gltdmc'>#gltdmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='bzpp'>#bzpp#</isNotEmpty>
			<isNotEmpty prepend=',' property='ggxh'>#ggxh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sszbx'>#sszbx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='azsj'>#azsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='azdw'>#azdw#</isNotEmpty>
			<isNotEmpty prepend=',' property='azfs'>#azfs#</isNotEmpty>
			<isNotEmpty prepend=',' property='sjzp'>#sjzp#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwbm'>#gxdwbm#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwmc'>#gxdwmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>#lxr#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>#lxdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>#gysbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>#gysmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>#kz4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Nhywjksbtzxx" parameterClass="java.util.Map">
		update nhywjksbtzxx 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='glsbbh'>glsbbh=#glsbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gltbdh'>gltbdh=#gltbdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gltdmc'>gltdmc=#gltdmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='bzpp'>bzpp=#bzpp#</isNotEmpty>
			<isNotEmpty prepend=',' property='ggxh'>ggxh=#ggxh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sszbx'>sszbx=#sszbx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd=#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd=#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='azsj'>azsj=#azsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='azdw'>azdw=#azdw#</isNotEmpty>
			<isNotEmpty prepend=',' property='azfs'>azfs=#azfs#</isNotEmpty>
			<isNotEmpty prepend=',' property='sjzp'>sjzp=#sjzp#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwbm'>gxdwbm=#gxdwbm#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwmc'>gxdwmc=#gxdwmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>lxr=#lxr#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>lxdh=#lxdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>gysbh=#gysbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>gysmc=#gysmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1=#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2=#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3=#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4=#kz4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJglsbbh'> glsbbh = #XGTJglsbbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgltbdh'> gltbdh = #XGTJgltbdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgltdmc'> gltdmc = #XGTJgltdmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbzpp'> bzpp = #XGTJbzpp# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJggxh'> ggxh = #XGTJggxh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsszbx'> sszbx = #XGTJsszbx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjd'> jd = #XGTJjd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwd'> wd = #XGTJwd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJazsj'> azsj = #XGTJazsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJazdw'> azdw = #XGTJazdw# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJazfs'> azfs = #XGTJazfs# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsjzp'> sjzp = #XGTJsjzp# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgxdwbm'> gxdwbm = #XGTJgxdwbm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgxdwmc'> gxdwmc = #XGTJgxdwmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxr'> lxr = #XGTJlxr# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxdh'> lxdh = #XGTJlxdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgysbh'> gysbh = #XGTJgysbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgysmc'> gysmc = #XGTJgysmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz1'> kz1 = #XGTJkz1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz2'> kz2 = #XGTJkz2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz3'> kz3 = #XGTJkz3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz4'> kz4 = #XGTJkz4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Nhywjksbtzxx" parameterClass="java.util.Map">
		delete from nhywjksbtzxx 
		<include refid="condition_Nhywjksbtzxx"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Nhywjksbtzxx" parameterClass="java.util.Map">
		delete from nhywjksbtzxx 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Nhywjksbtzxx" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			xh,glsbbh,gltbdh,gltdmc,bzpp,ggxh,sszbx,jd,wd,azsj,azdw,azfs,sjzp,gxdwbm,gxdwmc,lxr,lxdh,gysbh,gysmc,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
		from nhywjksbtzxx 
		<include refid="condition_Nhywjksbtzxx"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Nhywjksbtzxx" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from nhywjksbtzxx 
		<include refid="condition_Nhywjksbtzxx"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Nhywjksbtzxx" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into nhywjksbtzxx(
			 <![CDATA[ 
				xh,glsbbh,gltbdh,gltdmc,bzpp,ggxh,sszbx,jd,wd,azsj,azdw,azfs,sjzp,gxdwbm,gxdwmc,lxr,lxdh,gysbh,gysmc,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].xh#,#list[].glsbbh#,#list[].gltbdh#,#list[].gltdmc#,#list[].bzpp#,#list[].ggxh#,#list[].sszbx#,#list[].jd#,#list[].wd#,#list[].azsj#,#list[].azdw#,#list[].azfs#,#list[].sjzp#,#list[].gxdwbm#,#list[].gxdwmc#,#list[].lxr#,#list[].lxdh#,#list[].gysbh#,#list[].gysmc#,#list[].cjry#,#list[].cjrq#,#list[].xgry#,#list[].xgrq#,#list[].bz#,#list[].kz1#,#list[].kz2#,#list[].kz3#,#list[].kz4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











